Автор Тема: Как запустить caja с правами администратора  (Прочитано 2140 раз)

Оффлайн slav01

  • Давно тут
  • **
  • Сообщений: 61
Нужно, например, для хождения по папкам, куда пускают только с правами root. И для drag'n'drop.

При
su
caja

Получаю:
(caja:4544): Unique-DBus-WARNING **: Unable to open a connection to the session bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

(caja:4544): Unique-DBus-WARNING **: Unable to connect to the running instance, aborting.

(caja:4544): Unique-DBus-WARNING **: Unable to open a connection to the session bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

(caja:4544): Unique-DBus-WARNING **: Unable to connect to the running instance, aborting.

Оффлайн berkut_174

  • Мастер
  • ***
  • Сообщений: 6 047
    • Email
Для этих дел есть mc...
Сноси Винду, переходи на Линукс ! :)

Оффлайн stanukih

  • Давно тут
  • **
  • Сообщений: 560

Оффлайн slav01

  • Давно тут
  • **
  • Сообщений: 61
Цитировать
И кстати http://www.altlinux.org/Su
Помогло
su -После этого caja получает доступ к закрытым папкам.

Цитировать
Для этих дел есть mc...
я пробую его использовать.. но пока для меня krusader лучше.. кстати, он почему-то не встал.

Sim

  • Гость
Крусадер тянет с собой кучу кедовых либ
$ apt-cache depends krusader
krusader-1.90.0-alt13
  Требует: </lib64/ld-linux-x86-64.so.2>
    glibc-core-6:2.17-alt5
  Требует: </usr/share/kde/doc/HTML/en/common>
    kdelibs-3.5.13.2-alt2
    kde-common-4.12.2-alt1
  Требует: </usr/share/kde/doc/HTML/ru/common>
    kde-i18n-ru-3.5.13.2-alt2
    kde-common-4.12.2-alt1
  Требует: <libDCOP.so.4()(64bit)>
    kdelibs-3.5.13.2-alt2
  Требует: <libacl.so.1()(64bit)>
    libacl-2.2.51-alt1
  Требует: <libacl.so.1(ACL_1.0)(64bit)>
    libacl-2.2.51-alt1
  Требует: <libc.so.6(GLIBC_2.14)(64bit)>
    glibc-core-6:2.17-alt5
  Требует: <libc.so.6(GLIBC_2.2.5)(64bit)>
    glibc-core-6:2.17-alt5
  Требует: <libc.so.6(GLIBC_2.3.4)(64bit)>
    glibc-core-6:2.17-alt5
  Требует: <libc.so.6(GLIBC_2.4)(64bit)>
    glibc-core-6:2.17-alt5
  Требует: <libkdecore.so.4()(64bit)>
    kdelibs-3.5.13.2-alt2
  Требует: <libkdecore.so.4(CXX3)(64bit)>
    kdelibs-3.5.13.2-alt2
  Требует: <libkdefx.so.4()(64bit)>
    kdelibs-3.5.13.2-alt2
  Требует: <libkdeui.so.4()(64bit)>
    kdelibs-3.5.13.2-alt2
  Требует: <libkio.so.4()(64bit)>
    kdelibs-3.5.13.2-alt2
  Требует: <libkjs.so.1()(64bit)>
    kdelibs-3.5.13.2-alt2
  Требует: <libkjsembed.so.1()(64bit)>
    kdebindings-kjsembed-3.5.13.2-alt1.M70P.1
  Требует: <libkparts.so.2()(64bit)>
    kdelibs-3.5.13.2-alt2
  Требует: <libkutils.so.1()(64bit)>
    kdelibs-3.5.13.2-alt2
  Требует: <libkwalletclient.so.1()(64bit)>
    kdelibs-3.5.13.2-alt2
  Требует: <libm.so.6(GLIBC_2.2.5)(64bit)>
    glibc-core-6:2.17-alt5
  Требует: <libpthread.so.0(GLIBC_2.2.5)(64bit)>
    glibc-pthread-6:2.17-alt5
  Требует: <libqt-mt.so.3()(64bit)>
    libqt3-3.3.8d-alt4.M70P.1
  Требует: <libqt-mt.so.3(CXX3)(64bit)>
    libqt3-3.3.8d-alt4.M70P.1
  Требует: <libstdc++.so.6(CXXABI_1.3)(64bit)>
    libstdc++6-4.7.2-alt7
  Требует: <libstdc++.so.6(GLIBCXX_3.4)(64bit)>
    libstdc++6-4.7.2-alt7
  Требует: <rtld(GNU_HASH)>
    glibc-core-6:2.17-alt5
Вопрос: оно вам надо на mate?

Оффлайн stanukih

  • Давно тут
  • **
  • Сообщений: 560
Да и лучше действительно изучать для таких целей mc. Во первых не зависит от графической оболочки, не зависит от дистрибутива (есть почти везде, а где нет установить одной командой), и сразу есть и текстовый редактор, архиватор и тд.

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 16 648
    • Домашняя страница
    • Email
Да и лучше действительно изучать для таких целей mc. Во первых не зависит от графической оболочки, не зависит от дистрибутива (есть почти везде, а где нет установить одной командой), и сразу есть и текстовый редактор, архиватор и тд.
Ещё есть doublecmd
Андрей Черепанов (cas@)

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 30 571
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
doublecmd
в консоле не поможет.

Оффлайн montigomo

  • Давно тут
  • **
  • Сообщений: 313
  • Montigomo
    • Email
Для системного администрирования, действительно, удобнее использовать Midnight Commander (mc) или Double Commander (doublecmd).
Мне удобнее и привычнее использовать последний. А недавно в репозитории появилась версия Double Commander, написанного на QT4. Так что, рекомендую!
О запуске DC с правами root.
1. Запускаете терминал.
2. Вводите su -, затем пароль root.
3. Затем вводите команду doublecmd-qt.
4. Запускается DC с правами суперпользователя.
Алексей ЕФАНОВ, г. СПб.; ноутбук Lenovo R61i;
BaseAlt Workstation 8.1 + ROSA FRESH R8.1 (MATE)

ms1984

  • Гость
Да и лучше действительно изучать для таких целей mc.

Может знаете, но в caja заходите, F3 жмете вот вам два окна... ;